﻿$ErrorActionPreference = 'Stop';

# Uninstall the old service.
if ($null -ne (Get-Service -Name "UEFS Docker Volume Plugin" -ErrorAction SilentlyContinue)) {
  Stop-Service -Name "UEFS Docker Volume Plugin"
  sc.exe delete "UEFS Docker Volume Plugin"
}

# Uninstall the service.
if ($null -ne (Get-Service -Name "UEFS Service" -ErrorAction SilentlyContinue)) {
  Stop-Service -Name "UEFS Service"
  sc.exe delete "UEFS Service"
}

# Remove the shim.
Uninstall-BinFile -Name "uefs" -Path "$env:ProgramFiles\UEFS\uefs.exe"

# Uninstall UEFS. Uninstall-ChocolateyZip doesn't seem to work properly for packages
# installed with Get-ChocolateyUnzip.
if (Test-Path "$env:ProgramFiles\UEFS") {
  Remove-Item -Force -Recurse "$env:ProgramFiles\UEFS"
}